<?xml version="1.0" encoding="utf-8"?>

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/view_fragment"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_color">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".view.fragment.FullNumberFragment">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingStart="15dp"
                android:paddingTop="15dp"
                android:paddingEnd="15dp">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="6dp"
                    android:text="@string/search_phone_number"
                    android:textSize="@dimen/default_text_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/full_name_search"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@drawable/bg_enter_number"
                    android:hint="@string/enter_number"
                    android:imeOptions="actionDone"
                    android:inputType="number"
                    android:maxLength="10"
                    android:paddingStart="10dp"
                    android:paddingEnd="10dp"
                    android:singleLine="true"
                    android:textColor="@color/colorGray"
                    android:textSize="@dimen/default_edittext_size"
                    tools:ignore="RtlSymmetry" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/note"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="6dp"
                    android:text="@string/note_buy_sim"
                    android:textColor="@color/section_grey"
                    android:textSize="@dimen/default_text_size" />

                <include
                    android:id="@+id/item_buy_yes_number"
                    layout="@layout/item_buy_yes_number" />
            </LinearLayout>


            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view_full_number"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:paddingTop="10dp"
                    android:theme="@android:style/Theme.Material.Light"
                    android:visibility="visible" />

                <include
                    android:id="@+id/layout_default_error"
                    layout="@layout/layout_default_error" />
            </FrameLayout>

        </LinearLayout>


        <LinearLayout
            android:id="@+id/layout_keyboard"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@color/colorBgWhiteGray"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/button_search"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_gravity="center"
                android:layout_marginStart="15dp"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:layout_marginEnd="15dp"
                android:layout_marginBottom="10dp"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="@string/search"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:clickable="true"
                android:focusable="true">

                <com.seatel.mobilehall.util.customview.CustomKeyboard
                    android:id="@+id/keyboard_view_full_number"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:paddingStart="15dp"
                    android:paddingEnd="15dp"
                    android:visibility="visible"
                    app:keyBackground="@drawable/bg_button_white" />
            </FrameLayout>


        </LinearLayout>

    </RelativeLayout>

    <include
        android:visibility="gone"
        android:id="@+id/layout_bottom_sheet_buy_yes_number_next"
        layout="@layout/layout_bottom_sheet_buy_yes_number_next" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>


